#ifndef KNN_H
#define KNN_H

#include "iris.h"
#include "tas.h"

float dist(COORD_TYPE p1, COORD_TYPE p2);

heap * knn(int n,
	   ATOMIC_COORD_TYPE cloud[n][COORD_SIZE],
	   enum variety categories[n],
	   int k,
	   COORD_TYPE p);

enum variety majoritaire (heap * h);

enum variety attribution(int n,
			 ATOMIC_COORD_TYPE cloud[n][COORD_SIZE],
			 enum variety categories[n],
			 int k,
			 COORD_TYPE p);

#endif
